/*--���� ��� ������--*/
#testdatabrain{margin:20px 0; border:none; background:ghostwhite; border:1px solid silver; padding:0; }
.testing { padding:0; margin:0; text-align:center;}
.gamefielfull{padding:10px 4%; text-align:left;}

/*--������� (����) � ����� ��� ������--*/
#secondsub {display: block; vertical-align: middle; background:Gainsboro; list-style: none; margin:0; padding:0;  border-bottom:1px solid silver; }
#secondsub  li {display: inline-block; }
#secondsub  li a {display: block; color:black; text-decoration: none; padding:15px 17px; text-align:center; min-width: 30px; background:Gainsboro; margin: 0; font-size: 17px; border-bottom:1px solid silver; border-left:1px solid transparent; border-right:1px solid transparent; margin:0 0 -1px 0;}

#secondsub  li a:hover {background:whitesmoke; }
#secondsub  li a.current {background:ghostwhite; color:black; border-bottom:ghostwhite 1px solid; border-left:1px solid silver; border-right:1px solid silver;}
#secondsub li:first-child a.current {border-left:1px solid transparent;}

.block{display: block;} .none {display: none;}
@media screen and (max-width: 700px) { #secondsub  {text-align:center;} #secondsub  li a {margin: 0px 0 0px 0px; border:1px solid silver; font-size: 13px; padding:8px;} #secondsub  li a.current {border-bottom:silver 1px solid;} #secondsub li:first-child a.current {border-left:1px solid silver;}}


/*--Для PRO--*/

#onlyproinf {background:rgba(30,50,70,0.03); color:rgba(30,50,70,1); text-align:center; font-size:18px; padding:3vh 10px; box-sizing:border-box; border:1px solid rgba(30,50,70,0.25); margin:0;}
#onlyproinf:hover {}
#onlyproinfname {font-size:18px; text-decoration:none; display:inline-block; color:rgba(30,50,70,1);}
#onlyproinfname span {display:inline-block; padding:3px 5px; background:steelblue; color:white; }

#onlyproinfbtn {display:block; color:white;  padding:7px 7px; background:steelblue; text-decoration:none; border-radius:2px; margin:3vh auto 5px; box-sizing:border-box; max-width:300px; width:96%;}
#onlyproinfbtn:hover {background:rgba(30,50,70,0.8)}
#onlyproinfbtnmore {display:block; border:1px solid steelblue; color:steelblue; padding:5px 7px; text-decoration:none; margin:5px auto 3vh; box-sizing:border-box; max-width:300px; width:96%;}
#onlyproinfbtnmore:hover {border:1px solid rgba(70,180,130,1); color:rgba(70,180,130,1);}

#onlyproinf em, #onlyproinf em a{font-size:14px; font-style:normal; color:rgba(30,50,70,1); text-decoration:none;}




/*--����� � ��������� ���������--*/
.start-examination  {display:block; width:100%; max-width:210px; padding:15px 25px; margin: 20px auto; border:1px solid LightGray; background: whitesmoke linear-gradient(to bottom, whitesmoke, Gainsboro); cursor: pointer; color:black; font-size:17px; border-radius: 4px; text-decoration:none; text-align:center; box-shadow: 0 1px 2px whitesmoke;}
.start-examination:hover {background: whitesmoke; border:1px solid LightGray; box-shadow: 0 0px 4px whitesmoke; color:black}

.testing_question {text-align:left; padding:20px 4% 10px;}
.testing_question .samvopros {font-size:18px; padding:0; margin:8px 0 14px;}
.testing_question h3 {font-weight:bold; padding:0; margin:5px 0 5px;}
.testing_question .ui-selected { background: LightBlue;}
.testing_question ol {list-style-type: none; margin: 5px 0 32px; padding: 0;}
.testing_question li, #main .testing_question li {display:block; margin: 1px 0 0;  padding:6px 15px; cursor: pointer; background-color: whitesmoke; border:1px solid silver; }
.testing_question li:hover {background: Gainsboro; }
.testing_question li em {display:inline-block; margin:0 0 0 15px; vertical-align:middle; color:gray;}
.testing_question #test-check {clear:both; display:inline-block; padding:10px 20px; margin: 20px 0; border:1px solid LightGray; background: whitesmoke linear-gradient(to bottom, whitesmoke, Gainsboro); cursor: pointer; color:black; font-size:20px; border-radius: 4px;}
.testing_question #test-check:hover {background: Gainsboro; }
.testing_question #result {font-size:22px; display:inline-block; padding:10px 20px; margin: 0px 0; color:black; font-style:normal;}
#testing_getresult { background: steelBlue; cursor:pointer; padding:10px; text-align:center; margin:20px auto; max-width:400px; color:white; border-radius:10px;}
#testing_getresult:hover {background: darkred;}

.stopper {display:inline-block; max-width:210px; padding:10px 18px; margin: 5px; border:1px solid gray; background: whitesmoke linear-gradient(to bottom, whitesmoke, Gainsboro); cursor: pointer; color:black; font-size:17px; border-radius: 2px; text-decoration:none; text-align:center; box-shadow: 0 1px 2px whitesmoke;}
.stopper:hover {background: Gainsboro;  border:1px solid black; color:black;}
.restart {display:inline-block; max-width:210px; padding:6px 10px; margin: 5px; border:1px solid silver; background: whitesmoke linear-gradient(to bottom, whitesmoke, Gainsboro); cursor: pointer; color:black; font-size:12px; border-radius: 4px; text-decoration:none; text-align:center; box-shadow: 0 1px 2px whitesmoke;}
.restart:hover {background: Gainsboro; border:1px solid silver; color:black;}

/*--�������������� �� ����� �����: �����, ���-�� �������, �������--*/
.timerr{font-size:30px; font-weight:bold;}
.restt { font-size:15px; position:relative;} .percentt {position:absolute; color:white; top:25%; left:50%; text-shadow:0 0 4px black; font-weight:bold;}
.countt {font-size:15px; }
#testing_timer {display:inline-block; vertical-align:middle;}
#testing_koef{display:inline-block; vertical-align:middle; color:gray; font-size:12px;}
#testing_answer {}
.testing-result {padding:10px 2%; margin:10px 0;}
@media screen and (max-width: 600px) {.timerr{font-size:19px;} .countt {font-size:14px;}}

/*-������ ���� ����--*/
#testing-support {display: block; vertical-align:middle;  width:100%; text-align:center; background-color: whitesmoke; padding:15px 0; border-top:1px solid #eaeaea; border-bottom:1px solid #eaeaea;}
.fully {width:100%;}
.halfy {display:inline-block; vertical-align:middle; width:58%; min-width:200px; margin:1px; }
.quotery {display:inline-block; vertical-align:middle;  width:17%; margin:1px; }

/*--������ ���� ����--*/
.gamefielleft{ display:inline-block; vertical-align:middle; max-width:750px; width:70%; padding:10px 1%;  margin:5px 0; text-align:center;}
#testing-support-right {display:inline-block; vertical-align:middle; width:180px;   text-align:center; padding:10px 5px; margin:10px 0;}
#testing-support-right .stopper {width:170px; padding:8px 5px;}
#testing-support-right .timerr {width:150px; background:white; padding:8px 5px; margin:10px 0; font-size:24px; font-weight:normal; }
#testing-support-right .halfy, #testing-support-right .quotery  {display:block; width:100%; }
@media screen and (max-width: 800px) { .gamefielleft{width:50%;}}

@media screen and (max-width: 600px) {
.gamefielleft{ display:block; vertical-align:middle; width:97%; padding:10px 1%; border-right:1px solid #eaeaea;  }
#testing-support-right {display: block; vertical-align:middle;  width:100%; text-align:center; background-color: whitesmoke; padding:15px 0; border-top:1px solid #eaeaea; border-bottom:1px solid #eaeaea; }
#testing-support-right .halfy {display:inline-block; vertical-align:middle; width:58%; min-width:200px; margin:1px; }
#testing-support-right .quotery {display:inline-block; vertical-align:middle;  width:19%; margin:1px; }
#testing-support-right .timerr {font-size:20px; }
}
@media screen and (max-width: 450px){
#testing-support-right .quotery {font-size:20px; display:block; width:auto;}
}

#belbin select{margin:5px 10px 5px 0;}


@-webkit-keyframes animate-stripes {
    0% {background-position: 0 0;} 100% {background-position: 60px 0;}
}
@-moz-keyframes animate-stripes {
    0% {background-position: 0 0;} 100% {background-position: 60px 0;}
}

/*--�����������--*/



#comments_data{
    display:block;
}

.module {
    width: 90%;
    margin: 20px auto;
}

.top-bar {
    background: #eaeaea;
    box-shadow: 1px 2px 2px silver;
    color: white;
    padding: 0.5rem;
    position: relative;
    overflow: hidden;
}
.top-bar h1 {
    display: inline;
    font-size: 1.1rem;
}
.top-bar .typicons-message {
    display: inline-block;
    padding: 4px 5px 2px 5px;
}
.top-bar .typicons-minus {
    position: relative;
    top: 3px;
}
.top-bar .left {
    float: left;
}
.top-bar .right {
    float: right;
    padding-top: 5px;
}
.top-bar > * {
    position: relative;
}
.top-bar::before {
    content: "";
    position: absolute;
    top: -100%;
    left: 0;
    right: 0;
    bottom: -100%;
    opacity: 0.25;
    background: #eaeaea;
    animation: pulse 1s ease alternate infinite;
}

.discussion {
    list-style: none;
    background: #eaeaea;
    margin: 0;
    padding: 0 0 0 0;
}
.discussion li {
    padding: 0.5rem;
    overflow: hidden;
    display: flex;
}
.discussion .avatar {
    width: 40px;
    position: relative;
}
.discussion .avatar img {
    display: block;
    width: 100%;
}

.other .avatar:after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 0;
    height: 0;
    border: 5px solid white;
    border-left-color: transparent;
    border-bottom-color: transparent;
}

.self {
    justify-content: flex-end;
    align-items: flex-end;
}
.self .messages {
    order: 1;
    border-bottom-right-radius: 0;
}
.self .avatar {
    order: 2;
}
.self .avatar:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 0;
    border: 5px solid white;
    border-right-color: transparent;
    border-top-color: transparent;
    box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
}

.messages {
    background: white;
    padding: 10px;
    border-radius: 2px;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
}
.messages p {
    font-size: 0.9rem;
    margin: 0 0 0.2rem 0;
}
.messages time {
    font-size: 0.7rem;
    color: #ccc;
}

@keyframes pulse {
    from {
        opacity: 0;
    }
    to {
        opacity: 0.5;
    }
}

